[PC-BSD Commits] r1019 - pbibuild/modules/filezilla/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Dec 13 15:06:13 PST 2007
Author: gonzalo
Date: 2007-12-13 15:06:12 -0800 (Thu, 13 Dec 2007)
New Revision: 1019
Modified:
pbibuild/modules/filezilla/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.
Modified: pbibuild/modules/filezilla/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/filezilla/overlay-dir/PBI.RemoveScript.sh 2007-12-13 23:02:39 UTC (rev 1018)
+++ pbibuild/modules/filezilla/overlay-dir/PBI.RemoveScript.sh 2007-12-13 23:06:12 UTC (rev 1019)
@@ -9,17 +9,19 @@
rm /usr/local/share/filezilla
-kdialog --yesno "Do you wish to remove any saved profile data?"
-if [ "$?" = "0" ]
+if [ ! -z "$DISPLAY" ]
then
-
-cd /home
-for i in `ls`
-do
- if [ -e "${i}/.filezilla" ]
- then
- rm -rf ${i}/.filezilla 2>/dev/null
- fi
-done
-
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove FileZilla user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.filezilla" ]
+ then
+ rm -rf /home/${i}/.filezilla
+ fi
+ done
+ fi
fi
More information about the Commits
mailing list